Name:           megi-kernel-fedora-beta
Version:        6.11.0
Release:        0.rc8.1%{?dist}
Summary:        latest megi kernel for the pinephone, pinetab and the pinefhone pro 

License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.5
Source0:        pinephones-beta.tar.gz

#BuildArch:      aarch64

Requires:       /bin/bash
Requires:       /bin/sh

BuildRequires:  /bin/bash
BuildRequires:  /bin/sh

Conflicts:      megi-kernel-pboot
Conflicts:      megi-kernel-tab
Conflicts:      megi-kernel-ppp

%description
Megis version of the Linux Kernel, for PinePhone, PinePhone Pro and PineTab

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones

%install
#mkdir -p $RPM_BUILD_ROOT/boot/pboot/
mkdir -p $RPM_BUILD_ROOT/boot/efi/
cp Image $RPM_BUILD_ROOT/boot/efi/
mkdir -p $RPM_BUILD_ROOT/boot/efi/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/efi/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/efi/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/efi/rockchip
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/efi/Image
/lib/modules/
/boot/efi/allwinner/sun50i-a64-pinephone-1.0.dtb
/boot/efi/allwinner/sun50i-a64-pinephone-1.1.dtb
/boot/efi/allwinner/sun50i-a64-pinephone-1.2.dtb
/boot/efi/allwinner/sun50i-a64-pinetab.dtb
/boot/efi/rockchip/

%changelog
* Mon Sep 16 2024 Yoda - 6.11.0-rc8
- upgrade to 6.11.0-rc8

* Thu Aug 29 2024 Yoda - 6.11.0-0.rc5
- Upgrade to 6.11.0-0.rc5

* Wed May 15 2024 Yoda - 6.9.0-1
- Minor fix to jack

* Mon May 13 2024 Yoda - 6.9.0-1
- Upgrade to 6.9.0

* Mon Mar 04 2024 Yoda - 6.8.0-rc6
- Upgrade to 6.8.0-rc6

* Mon Oct 09 2023 Yoda - 6.6.0-rc5
- Upgrade to 6.6.0-rc5

* Fri Sep 15 2023 Yoda - 6.5.3-1
- Upgrade to 6.5.3

* Sat Sep 09 2023 Yoda - 6.5.0-1
- Upgrade to 6.5.0

* Wed Aug 02 2023 Yoda - 6.4.7-1
- Upgrade to 6.4.7
- Initial package for PHOSH images layout (3 partitions)

